%global rosdistro fuerte
%global stackname ros
%global gitrev f0fdb1e

Name:           ros-%{rosdistro}-%{stackname}
Version:        1.8.9
Release:        1.git%{gitrev}%{?dist}
Summary:        ROS Core

License:        BSD
URL:            http://ros.org/
#wget --content-disposition https://github.com/wg-debs/ros-release/tarball/upstream/1.18.9
Source0:        wg-debs-%{stackname}-release-upstream-%{version}-0-g%{gitrev}.tar.gz
Provides:       ros-%{stackname} = %{version}-%{release}
BuildRequires:  cmake
BuildRequires:  gtest
BuildRequires:  ros-%{rosdistro}-rospack-devel

%description
ROS is a meta-operating system for your robot.  It provides language-
independent and network-transparent communication for a distributed 
robot control system.

%package devel
Requires: %{name}%{?_isa} = %{version}-%{release}
Provides: ros-%{stackname}-devel = %{version}-%{release}
Summary:  desc

%description devel
desc

%prep
%setup -q -n wg-debs-%{stackname}-release-58a0eed
sed -i 's/DESTINATION\ lib/DESTINATION\ %{_lib}/' core/roslib/CMakeLists.txt

%build
mkdir build
pushd build
%cmake -DSETUPTOOLS_DEB_LAYOUT=OFF ..
popd

%install
rm -rf $RPM_BUILD_ROOT
make -C build install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}
mv $RPM_BUILD_ROOT/usr/{lib,%{_lib}}/pkgconfig
sed -i 's|/lib|/%{_lib}|' $RPM_BUILD_ROOT%{_libdir}/pkgconfig/*.pc

mv $RPM_BUILD_ROOT%{_usr}/etc $RPM_BUILD_ROOT%{_sysconfdir}
mv $RPM_BUILD_ROOT%{_datadir}/ros{unit,lib}/bin/* $RPM_BUILD_ROOT%{_bindir}
rmdir $RPM_BUILD_ROOT%{_datadir}/ros{unit,lib}/bin/

%files
%{_bindir}/*
%{_sysconfdir}/catkin/profile.d/*
%{_libdir}/*.so
%{_datadir}/%{stackname}
%{_datadir}/rosbash
%{_datadir}/roscreate
%{_datadir}/rosboost_cfg
%{_datadir}/rosclean
%{_datadir}/roslang
%{_datadir}/roslib
%{_datadir}/rosmake
%{_datadir}/rosunit
%{python_sitelib}/*

%files devel
%{_includedir}/%{stackname}
%{_libdir}/pkgconfig/*.pc

%changelog
* Tue Sep 04 2012 Rich Mattes <richmattes@gmail.com> - 1.8.9-1.gitf0fdb1e
- Initial package
